package com.sungard.jpa.service;

import org.eclipse.persistence.platform.server.ServerPlatformBase;
import org.eclipse.persistence.sessions.DatabaseSession;

public class TomcatServer extends ServerPlatformBase {
    private static final String SERVER_NAME_AND_VERSION =  "Tomcat v6.0";

    public TomcatServer(DatabaseSession newDatabaseSession) {
        super(newDatabaseSession);
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.eclipse.persistence.platform.server.ServerPlatformBase#getExternalTransactionControllerClass()
     */
    @SuppressWarnings("rawtypes")
    @Override
    public Class getExternalTransactionControllerClass() {
        if (externalTransactionControllerClass == null) {
            externalTransactionControllerClass = TomcatTransactionController.class;
        }

        return externalTransactionControllerClass;
    }

    /* (non-Javadoc)
     * @see org.eclipse.persistence.platform.server.ServerPlatformBase#getServerNameAndVersion()
     */
    @Override
    protected void initializeServerNameAndVersion() {        
        this.serverNameAndVersion = SERVER_NAME_AND_VERSION;
    }

}
