package com.sungard.jpa.service;

import javax.transaction.TransactionManager;

import org.eclipse.persistence.transaction.JTATransactionController;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class TomcatTransactionController extends JTATransactionController {
    private static Logger logger = LoggerFactory.getLogger(TomcatTransactionController.class);

    public TomcatTransactionController() {
        super();
    }

    public TomcatTransactionController(TransactionManager transactionManager) {
        super(transactionManager);
    }

    /* (non-Javadoc)
     * @see org.eclipse.persistence.transaction.JTATransactionController#acquireTransactionManager()
     */
    @Override
    protected TransactionManager acquireTransactionManager() throws Exception {
        logger.debug("ENTERING: acquireTransactionManager");
        
        TransactionManager mgr = super.acquireTransactionManager();
        if(mgr == null) {
            try {
                mgr = (TransactionManager) jndiLookup("java:comp/env/TransactionManager"); 
                
                setTransactionManager(mgr);
            }
            catch(Exception e) {
               logger.error(e.getMessage()); 
            }
        }
        
        logger.debug("EXITING: acquireTransactionManager");
        return mgr;
    } 
}